POST api/documentgeneration/updateprintsackcontent/{sackReference}

updates the content of a sack Processes this document generation API request. The parameter and response sections describe the data exchanged with the API.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
sackReference

The sack reference value supplied with the request.

string

Required

Body Parameters

The envelope print data contract supplied with the request.

EnvelopePrintDataContract
NameDescriptionTypeAdditional information
envelopeTemplateId

The unique identifier of the related envelope template resource.

integer

None.

parentPackId

The unique identifier of the related parent pack resource.

integer

None.

SackReference

The sack reference value.

string

None.

Reference

The reference value.

string

None.

FriendlyName

The friendly name value.

string

None.

Letters

The collection of letters.

Collection of LetterDataContract

None.

PropertyRoleIds

The unique identifiers of the related property role resources.

Collection of integer

None.

GroupRoleIds

The unique identifiers of the related group role resources.

Collection of integer

None.

OwnsRoleId

The unique identifier of the related owns role resource.

integer

None.

ParentGroupId

The unique identifier of the related parent group resource.

integer

None.

PersonId

The unique identifier of the related person resource.

integer

None.

ContainsPrintable

Indicates whether contains printable is true.

boolean

None.

IsEmailCompatible

Indicates whether this item is email compatible.

boolean

None.

IsTextCompatible

Indicates whether this item is text compatible.

boolean

None.

IsBymCompatible

Indicates whether this item is bym compatible.

boolean

None.

PersonName

The person name value.

string

None.

OutputPdf

Indicates whether output pdf is true.

boolean

None.

Created

The created, expressed as a date and time.

date

None.

Expires

The expires, expressed as a date and time.

date

None.

CreatedByWorkflow

Indicates whether created by workflow is true.

boolean

None.

GeneratedDocs

The collection of generated docs.

Collection of integer

None.

Request Formats

application/x-www-form-urlencoded

Sample:

Sample not available.

application/json, text/json

Sample:
{
  "envelopeTemplateId": 1,
  "parentPackId": 2,
  "SackReference": "sample string 3",
  "Reference": "sample string 4",
  "FriendlyName": "sample string 5",
  "Letters": [
    {
      "Partition": 1,
      "Reference": "sample string 2",
      "Filename": "sample string 3",
      "FileExtension": "sample string 4",
      "TemplateType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "TemplateOutputDocumentSubType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "ContentType": "sample string 5",
      "PostDocGenerationHandler": {
        "EntityType": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "EntityId": 1,
        "JobHandlerType": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "Options": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "DocumentSubType": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "AccountingSystemId": 2,
        "AgencyId": 3,
        "JobHandlerName": "sample string 4"
      },
      "LetterTemplateId": 6,
      "EnvelopeTemplatePackId": 7
    },
    {
      "Partition": 1,
      "Reference": "sample string 2",
      "Filename": "sample string 3",
      "FileExtension": "sample string 4",
      "TemplateType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "TemplateOutputDocumentSubType": {
        "Id": 1,
        "Name": "sample string 2",
        "SystemName": "sample string 3"
      },
      "ContentType": "sample string 5",
      "PostDocGenerationHandler": {
        "EntityType": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "EntityId": 1,
        "JobHandlerType": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "Options": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "DocumentSubType": {
          "Id": 1,
          "Name": "sample string 2",
          "SystemName": "sample string 3"
        },
        "AccountingSystemId": 2,
        "AgencyId": 3,
        "JobHandlerName": "sample string 4"
      },
      "LetterTemplateId": 6,
      "EnvelopeTemplatePackId": 7
    }
  ],
  "PropertyRoleIds": [
    1,
    2
  ],
  "GroupRoleIds": [
    1,
    2
  ],
  "OwnsRoleId": 6,
  "ParentGroupId": 1,
  "PersonId": 1,
  "ContainsPrintable": true,
  "IsEmailCompatible": true,
  "IsTextCompatible": true,
  "IsBymCompatible": true,
  "PersonName": "sample string 11",
  "OutputPdf": true,
  "Created": "2026-07-21T07:05:20.5084966Z",
  "Expires": "2026-07-21T07:05:20.5084966Z",
  "CreatedByWorkflow": true,
  "GeneratedDocs": [
    1,
    2
  ]
}

Response Information

Resource Description

The response returned after the operation completes.

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

The version value.

Version

None.

Content

The content value.

HttpContent

None.

StatusCode

The status code classification.

HttpStatusCode

None.

ReasonPhrase

The reason phrase value.

string

None.

Headers

The collection of headers.

Collection of Object

None.

RequestMessage

The request message value.

HttpRequestMessage

None.

IsSuccessStatusCode

Indicates whether this item is success status code.

boolean

None.